get_cfg_var
get_defined_constants
PHP Options/Info Functions
PHP Manual

# get_current_user

(PHP 4, PHP 5)

get_current_user — Gets the name of the owner of the current PHP script

### Description

string get_current_user ( void )

Returns the name of the owner of the current PHP script.

### Return Values

Returns the username as a string.

### Examples

Example #1 get_current_user() example

`<?php
echo 'Current script owner: ' . get_current_user();
?>`

The above example will output something similar to:

    Current script owner: SYSTEM

### See Also

- getmyuid() - Gets PHP script owner's UID
- getmygid() - Get PHP script owner's GID
- getmypid() - Gets PHP's process ID
- getmyinode() - Gets the inode of the current script
- getlastmod() - Gets time of last page modification

get_cfg_var
get_defined_constants
PHP Options/Info Functions
PHP Manual